Can't Run HackMii Installer on 4.2e

Discussion in 'Wii - Hacking' started by bigtone0777, Jan 21, 2010.

Jan 21, 2010
  1. bigtone0777
    OP

    Newcomer bigtone0777 Newbie

    Joined:
    Jan 17, 2010
    Messages:
    2
    Country:
    United Kingdom
    Hi all, I'm sure this has been asked before but I've been reading until I went all dizzy and had to give up and finally ask ha ha ha.

    This particular Wii was on 4.0 when I modded it before but has since been updated to 4.2 and for some kinda mad reason there is no nand backup for it, which would have made things so simple!

    Anyway I have downloaded abd6a_v200 and hackmii_installer_v0.6. I get to the screen that tells me if I paid for this software I have been scammed, I press 1 to continue and then on the next screen it tells me that This installer can NOT continue! There is no vunerable IOS installed on this Wii. Please note that we will not use a fakesigned IOS due to security reasons.

    Does anyone know a way around this prob?

    Thanks in advance

    Tony
     
  2. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    I must've answered this question a million times... so after hearing u ask it, i decided to make download package that ppl can download and it will explain everything u need to do to fix it. It also includes an autodownloader that will download the files u need automatically.

    HackMii Installer No Vulnerable IOS Solution DOWNLOAD HERE

    EDIT: Link updated w/ new download
     
  3. bigtone0777
    OP

    Newcomer bigtone0777 Newbie

    Joined:
    Jan 17, 2010
    Messages:
    2
    Country:
    United Kingdom
    Hi xflak40 and thanks for the quick reply and solution to my question. I know you must be fed up of answering the same qestions so I appologise for that!

    Anyway I am making a backup of the nand as I type so I can't thank you enough!

    Tony
     
  4. mauifrog

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    It would be simpler to use dop-ios-mod with ios249, or ios36
    Then just install ios34 without patches

    Or install ios34 with wadmanager

    Installing ios30-v1040 could brick 3* users if something goes wrong. Ios61 is probably just as good as 34, either way, you only need to install one.
     
  5. Bloodlust

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Well, this might work if the previous modded set didn't contain old versions of cioscorp files which I encounted. I dop-ios'ed 61, 30 with no sig-hash and it still gave me this no vulnerable IOS crap. In the end, I replaced those v65535 to their latest and non-stubbed versions. God knows which one did the trick though.
     
  6. giantpune

    Member giantpune GBAtemp Addict

    Joined:
    Apr 10, 2009
    Messages:
    2,860
    Country:
    United States
    i don't think this is possible, unless there is a freak accident. when dop iop installs a IOS, it first gets the ticket and tmd, which describe the contents of the IOS and also has hash checks for each part. so now it has this list, it gets each part of the IOS and checks the hash. now it has the whole IOS, and it has verified that it is not fucked up. then it tells whatever IOS is currently running to install the IOS that it has just verified. it starts with the tik and tmd, and then finally the contents. the IOS that is currently running adds each part of the IOS being installed to the NAND, but only in a temp folder. after the whole IOS is installed in the temp folder, dop ios says ES_addcontentfinish() and when the IOS that is running sees that, is moves the IOS that was just installed from the temp folder to the correct location. this last step takes
     
  7. mauifrog

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    Good to know about the dop-ios-mod safety measures, I like that. I have seen ios30-v1040 brick a 3* wii trying to fix this issue via wad install with wadmanager. The wad was good as many people had installed it, but they where not 3*. I think he was 3.3, but can't remember, but it did leave him with full black screen brick. Ios34 has been adopted by cIOSCORP (3.6)and now by pimp my wii as a non patched ios to prevent issues with hackmii. And it would be very unlikely to cause any adverse effect from ios34.
     
  8. damysteryman

    Member damysteryman I am too busy IRL these days...

    Joined:
    Oct 4, 2007
    Messages:
    1,182
    Country:
    Antarctica
    Or you could just run TBR v1.11 (Trucha Bug Restorer), and downgrade IOS15, then run hackmii installer before restoring IOS15.
     

Share This Page